gnutls_record_set_max_size(3)

NAME
gnutls_record_set_max_size - sets the maximum record size

SYNOPSIS
#include <gnutls/gnutls.h>

ssize_t gnutls_record_set_max_size(gnutls_session_t session, size_t size);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

size_t size
    is the new size

DESCRIPTION
This function sets the maximum record packet size in this connection. This property can only be set to clients. The server may choose not to accept the requested size.

Acceptable values are 512(=2^9), 1024(=2^10), 2048(=2^11) and 4096(=2^12). Returns 0 on success. The requested record size does get in effect immediately only while sending data. The receive part will take effect after a successful handshake.

This function uses a TLS extension called 'max record size'. Not all TLS implementations use or even understand this extension.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.